5.3.0-git
2014-09-02

[#6661] some copyright and license statements are missing
Summary some copyright and license statements are missing
Queue Horde Framework Packages
Queue Version HEAD
Type Bug
State Resolved
Priority 2. Medium
Owners
Requester math.parent (at) gmail (dot) com
Created 2008-04-29 (2317 days ago)
Due
Updated 2011-09-17 (1081 days ago)
Assigned 2008-05-01 (2315 days ago)
Resolved 2011-09-17 (1081 days ago)
Milestone
Patch No

History
2011-09-17 09:26:50 Jan Schneider State ⇒ Resolved
 
2011-09-17 07:21:08 Ralf Lang (B1 Systems GmbH) Comment #13 Reply to this comment
Meanwhile, it's Horde LLC.

Suse legal team had some review of horde 4 package licenses and 
copyrights, a lot of issues have been raised on the mailing list and 
after that there have been a lot of fixes.

I think we can close this now.
2008-06-30 19:53:45 Chuck Hagenbuch State ⇒ No Feedback
 
2008-05-24 18:38:49 Chuck Hagenbuch Comment #12 Reply to this comment
Copyrights should be to The Horde Project (http://www.horde.org/)
excepting external code of course.
2008-05-24 16:35:53 math (dot) parent (at) gmail (dot) com Comment #11 Reply to this comment
Hi,



I can't provide a patch, I don't know who owns copyright.




2008-05-23 19:25:17 Chuck Hagenbuch Comment #10 Reply to this comment
horde.diff was fine and it has been applied:

http://lists.horde.org/archives/cvs/Week-of-Mon-20080519/078782.html
2008-05-23 19:24:35 Chuck Hagenbuch Deleted Attachment: COPYRIGHT-no
 
2008-05-23 19:24:26 Chuck Hagenbuch Deleted Attachment: horde.diff
 
2008-05-23 19:21:21 Chuck Hagenbuch Comment #9 Reply to this comment
Any updated patch coming?
2008-05-05 04:33:45 Chuck Hagenbuch Comment #8
Summary ⇒ some copyright and license statements are missing
Reply to this comment
http://horde.org/horde/docs/?f=CODING_STANDARDS.html#header-comment-blocks 
describes the formatting. Copyrights should be to The Horde Project 
(http://www.horde.org/)
2008-05-04 16:14:47 math (dot) parent (at) gmail (dot) com Comment #7 Reply to this comment
There's also lib/Horde/MIME/Viewer/ooo/* which is LGPL2.1 or SISL. 
Copyright 2000-2002 by Sun Microsystems, Inc.
2008-05-04 04:11:23 Chuck Hagenbuch Comment #6 Reply to this comment
From Michael Slusarz:



This has been on my mind for awhile and thought I'd get it out there - 
for the various 3rd party apps we distribute along with our code 
(right now, all I can think of is xinha, fckeditor, tinymce, 
scriptaculous, and prototype), we should probably have a wiki page

tracking their licenses.  For those under the GPL/LGPL/MPL 
(fckeditor), I don't believe we are distributing the full source 
distribution so we should probably be keeping a local copy of the base 
distribution in case anyone ever asks us for the source code.  I think 
xinha is BSD so we just need to have the license in the distribution). 
scriptaculous is MIT-like, so we just need to make sure we distribute 
scriptaculous.js with all apps using it (we do this). prototype is 
MIT-like but doesn't require copyright notices so technically, with 
the above changes, we don't need to do anything.
2008-05-03 11:46:34 math (dot) parent (at) gmail (dot) com Comment #5
New Attachment: horde.diff
Reply to this comment
Attached patch for the cosmetic stuff. Applicable to the horde module.
2008-05-03 10:52:57 math (dot) parent (at) gmail (dot) com Comment #4
New Attachment: COPYRIGHT-no[1] Download
Reply to this comment
Attached an updated version. Ordered by sections.



I can provide a patch. But I need information (which sections, whose 
copyright ?)



Also note that (c) doesn't have any legal value. ''Copyright'' or © 
should be used.



TOC:

* PHP FILES: copyright is probably needed

* JAVASCRIPT: copyright is probably needed

* PHP/CSS THEME FILES: copyright is probably needed

* VARIOUS SCRIPTS: copyright is probably needed

* SQL: ?

* CONFIG: copyright is probably not needed

* DOC: copyright is probably not needed

* L10N (po): copyright is probably needed

* L10N (XML): ?

* TEMPLATES: ?

* HTACCESS: no copyright needed



Other files have strange copyright (missing copyright holder, year, ...):

./po/uk_UA.po:# Copyright (C)

./po/km_KH.po:# Copyright (C) YEAR Horde Project

./po/fi_FI.po:# Copyright (C)

./po/horde.pot:# Copyright (C) YEAR Horde Project

./po/pt_BR.po:# Copyright (C) YEAR Horde Project.

./po/ru_RU.po:# Copyright (C)



Also, all "Copyright (C) AAAA Horde Project" should probably replaced 
by "Copyright AAAA The Horde Project (http://www.horde.org/)" (this is 
cosmetic)
2008-05-01 21:06:07 Chuck Hagenbuch Comment #3
State ⇒ Feedback
Reply to this comment
- we should not add copyrights to third-party tools

- we shouldn't add copyrights to the compressed javascript files

- I'm not sure about putting them in SQL scripts

- I don't think we should put copyright notices in .htaccess files

- definitely shouldn't be any notices in favicon.ico files (those are 
graphics)

- the themed_graphics files are empty placeholders, they don't need copyright

- I'm not sure about the help.xml and .po files

- I'm against putting copyright notices into every template file



A patch for everything else would be great, along with thoughts on 
these - thanks.
2008-04-29 19:11:48 math (dot) parent (at) gmail (dot) com Comment #2
New Attachment: COPYRIGHT-no
Reply to this comment
Attached is some files without copyright notice. Some are third-party 
tools (./services/editor/*, scriptaculous) and some are not.



I can give some help if needed
2008-04-29 19:08:56 math (dot) parent (at) gmail (dot) com Comment #1
State ⇒ Unconfirmed
Patch ⇒ No
Milestone ⇒
Queue ⇒ Horde Framework Packages
Summary ⇒ some copyright and licence are lacking
Type ⇒ Bug
Priority ⇒ 2. Medium
Reply to this comment
Hi,



While creating the copyright file for debian packaging, I found that 
horde miss some info.



According to http://www.gnu.org/licenses/gpl-howto.html :

<<<

Whichever license you plan to use, the process involves adding two 
elements to **each** source file of your program: a copyright notice 
(such as “Copyright 1999 Terry Jones”), and a statement of copying 
permission, saying that the program is distributed under the terms of 
the GNU General Public License (or the Lesser GPL).
this is not the case

This probably also apply to other apps.